﻿@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;


@Html.DevExpress().GridView(
setting =>
{
    setting.Name = "CPODataGridDetail";
    setting.Styles.Header.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
    setting.CallbackRouteValues = new { Controller = "ComponentPartOrder", Action = "CPOGridDetail" };
    setting.ClientSideEvents.BeginCallback = "OnDetailGridBeginCallback";
    setting.ClientSideEvents.EndCallback = "OnDetailGridEndCallback";
    setting.KeyFieldName = "PRNo;ItemNo";

    setting.Width = Unit.Percentage(100);
        
    setting.Settings.ShowFilterRow = true;
    setting.Settings.ShowFilterRowMenu = true; 
        
    setting.SettingsBehavior.ConfirmDelete = true;
        
    setting.CommandColumn.ClearFilterButton.Visible = true;
    setting.CommandColumn.Visible = true;
    setting.CommandColumn.EditButton.Visible = true;
    setting.CommandColumn.Width = Unit.Pixel(50);

    setting.Settings.HorizontalScrollBarMode = ScrollBarMode.Visible;
    
    setting.SettingsEditing.Mode = GridViewEditingMode.PopupEditForm;
    setting.SettingsPopup.EditForm.HorizontalAlign = PopupHorizontalAlign.Center;
    setting.SettingsPopup.EditForm.VerticalAlign = PopupVerticalAlign.WindowCenter;
    setting.SettingsPager.PageSize = 10;
    setting.SettingsPager.PageSizeItemSettings.Visible = true;
    setting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
    setting.SettingsPager.PageSizeItemSettings.Caption = "Page size";

    setting.Columns.Add(
                column =>
                {
                    column.Caption = "#";
                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    column.SetDataItemTemplateContent
                        ("<input type=\"checkbox\" name=\"option1\" value=\"Milk\">");
                    column.Width = Unit.Pixel(40);
                });

    setting.Columns.Add(column =>
        {
            column.FieldName = "PRNo";
            column.Visible = false;
            //column.Width = Unit.Pixel(70);
            column.CellStyle.Wrap = DefaultBoolean.False;
        });

    setting.Columns.Add(column =>
    {
        column.FieldName = "ItemNo";
        column.Caption = "Item No";
        //column.Width = Unit.Pixel(70);
        column.CellStyle.Wrap = DefaultBoolean.False;
    });

    setting.Columns.Add(column =>
    {
        column.FieldName = "PartName";
        column.Caption = "Part Name";
        //column.Width = Unit.Pixel(240);
        column.CellStyle.Wrap = DefaultBoolean.False;
    });
            
    setting.Columns.Add(column =>
    {
        column.FieldName = "MatNo";
        column.Caption = "Mat. No";
        //column.Width = Unit.Pixel(80);
        column.CellStyle.Wrap = DefaultBoolean.False;
    });

    setting.Columns.Add(column =>
    {
        column.FieldName = "ProdPurpose";
        column.Caption = "Prod.<br />Purpose";
        //column.Width = Unit.Pixel(90);
        column.CellStyle.Wrap = DefaultBoolean.False;
    });

    setting.Columns.Add(column =>
    {
        column.FieldName = "SourceType";
        column.Caption = "Source<br /> Type";
        //column.Width = Unit.Pixel(80);
        column.CellStyle.Wrap = DefaultBoolean.False;
    });
            
    setting.Columns.Add(column =>
    {
        column.FieldName = "UOM";
        column.Caption = "UoM";
        //column.Width = Unit.Pixel(80);
        column.CellStyle.Wrap = DefaultBoolean.False;
    });

    setting.Columns.Add(column =>
    {
        column.FieldName = "MatDescription";
        column.Caption = "Mat. Description";
        //column.Width = Unit.Pixel(240);
        column.CellStyle.Wrap = DefaultBoolean.False;
    });
            
    setting.Columns.Add(column =>
    {
        column.FieldName = "OrderQty";
        column.Caption = "Order<br />Qty";
        column.Width = Unit.Pixel(70);
        column.CellStyle.Wrap = DefaultBoolean.False;
    });

    setting.Columns.Add(column =>
    {
        column.FieldName = "SpecialProcurementType";
        column.Caption = "Special Procurement<br /> Type";
        //column.Width = Unit.Pixel(150);
        column.CellStyle.Wrap = DefaultBoolean.False;
    });

    setting.Columns.Add(column =>
    {
        column.FieldName = "PackingType";
        column.Caption = "Packing<br />Type";
        //column.Width = Unit.Pixel(80);
        column.CellStyle.Wrap = DefaultBoolean.False;
    });
            
    setting.Columns.Add(column =>
    {
        column.FieldName = "Suffix";
        column.Caption = "Suffix";
        //column.Width = Unit.Pixel(100);
        column.CellStyle.Wrap = DefaultBoolean.False;
    });
    
    setting.SetEditFormTemplateContent(c =>
        {
            Html.RenderPartial("PartialEditCPO");
        });
        
}).Bind(Model.GetModel<Portal.Models.ComponentPartOrder.ComponentPartOrderModel>().CPODetails).GetHtml()

 
